org.apache.hadoop.yarn.api.protocolrecords.impl.pb

## Class GetAllResourceProfilesRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceProfilesRequest
  - - org.apache.hadoop.yarn.api.protocolrecords.impl.pb.GetAllResourceProfilesRequestPBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class GetAllResourceProfilesRequestPBImpl
      extends org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceProfilesRequest

  Protobuf implementation class for GetAllResourceProfilesRequest.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetAllResourceProfilesRequestPBImpl()`
    `GetAllResourceProfilesRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetAllResourceProfilesRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.yarn.proto.YarnServiceProtos.GetAllResourceProfilesRequestProto` | `getProto()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceProfilesRequest

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetAllResourceProfilesRequestPBImpl

          public GetAllResourceProfilesRequestPBImpl()

    - #### GetAllResourceProfilesRequestPBImpl

          public GetAllResourceProfilesRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetAllResourceProfilesRequestProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServiceProtos.GetAllResourceProfilesRequestProto getProto()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.